<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('inventory_history_removed_items', function (Blueprint $table) {
            $table->dropColumn('inventory_history_id');
            $table->foreignId('inventory_history_removed_id')->constrained()->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('inventory_history_removed_items', function (Blueprint $table) {
            $table->foreignId('inventory_history_id')->constrained()->cascadeOnDelete();
            $table->dropColumn('inventory_history_removed_id')->constrained()->cascadeOnDelete();
        });
    }
};
